displayLoad = {};
function displayLoad.prerequisitesPresent(specializations) return true; end;
function displayLoad:load(savegame) self.speedWaitingMaxTimedisplay = 2500; self.speedWaitingTimerdisplay = 1; 
	self.displayFirst  = Utils.indexToObject(self.components, getXMLString(self.xmlFile, "vehicle.displayImage#firstIndex"));
	self.displaySecond = Utils.indexToObject(self.components, getXMLString(self.xmlFile, "vehicle.displayImage#secondIndex"));
	self.displayThird  = Utils.indexToObject(self.components, getXMLString(self.xmlFile, "vehicle.displayImage#thirdIndex")); end;
function displayLoad:delete() end;
function displayLoad:mouseEvent(posX, posY, isDown, isUp, button) end;
function displayLoad:keyEvent(unicode, sym, modifier, isDown) end;
function displayLoad:update(dt) if self.isMotorStarted then 
	if self.speedWaitingTimerdisplay < self.speedWaitingMaxTimedisplay 
		then setVisibility(self.displayFirst, true); setVisibility(self.displaySecond, false); setVisibility(self.displayThird, false); end;
	if self.speedWaitingTimerdisplay < (self.speedWaitingMaxTimedisplay + self.speedWaitingMaxTimedisplay) and self.speedWaitingTimerdisplay > self.speedWaitingMaxTimedisplay
		then setVisibility(self.displayFirst, false); setVisibility(self.displaySecond, true); setVisibility(self.displayThird, false); end;
	if self.speedWaitingTimerdisplay < (self.speedWaitingMaxTimedisplay + self.speedWaitingMaxTimedisplay + self.speedWaitingMaxTimedisplay) and self.speedWaitingTimerdisplay > (self.speedWaitingMaxTimedisplay + self.speedWaitingTimerdisplay) 
		then setVisibility(self.displayFirst, false); setVisibility(self.displaySecond, false); setVisibility(self.displayThird, true); end;
		self.speedWaitingTimerdisplay = self.speedWaitingTimerdisplay + dt;
	else self.speedWaitingTimerdisplay = 1; setVisibility(self.displayFirst, false); setVisibility(self.displaySecond, false); setVisibility(self.displayThird, false); end; end;
function displayLoad:loadFromAttributesAndNodes(xmlFile, key, resetVehicles) return BaseMission.VEHICLE_LOAD_OK; end;
function displayLoad:getSaveAttributesAndNodes(nodeIdent) end;
function displayLoad:updateTick(dt) end;
function displayLoad:draw() end;
function displayLoad:onAttach(attacherVehicle, jointDescIndex) end;
function displayLoad:onDetach() end;
function displayLoad:onDeactivate() end;